[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Fedora 8 Update: perl-5.8.8-36.fc8



--------------------------------------------------------------------------------
Fedora Update Notification
FEDORA-2008-2164
2008-03-07 19:35:24
--------------------------------------------------------------------------------

Name        : perl
Product     : Fedora 8
Version     : 5.8.8
Release     : 36.fc8
URL         : http://www.perl.org/
Summary     : The Perl programming language
Description :
Perl is a high-level programming language with roots in C, sed, awk
and shell scripting.  Perl is good at handling processes and files,
and is especially good at handling text.  Perl's hallmarks are
practicality and efficiency.  While it is used to do a lot of
different things, Perl's most common applications are system
administration utilities and web programming.  A large proportion of
the CGI scripts on the web are written in Perl.  You need the perl
package installed on your system so that your system can handle Perl
scripts.

Install this package if you want to program in Perl or enable your
system to handle Perl scripts.

--------------------------------------------------------------------------------
Update Information:

Problem with XS support, dualvar needed or weaken module should disappear with
new Scalar::Util.  perl-File-Temp is now part of perl package.
--------------------------------------------------------------------------------
ChangeLog:

* Fri Feb 29 2008 Marcela Maslanova <mmaslano redhat com> - 4:5.8.8-36
- remove conflicts perl-File-Temp. Use obsoletes.
* Fri Feb 29 2008 Marcela Maslanova <mmaslano redhat com> - 4:5.8.8-35
- upgrade Scalar::Util - possible fix for many bugs. Packages dependent on
	this module could work even with use of CPAN modules.
-
- Fri Feb 22 2008 Stepan Kasal <skasal redhat com>
- make the obsoletes versioned
- add conflict with any version of perl-File-Temp
- escape the macros in Jan 31 entry
* Mon Feb 18 2008 Bill McGonigle <bill bfccomputing com> - 4:5.8.8-34
- add perl-File-Temp provides/obsolete
- Resolves: rhbz#433836
* Thu Jan 31 2008 Tom "spot" Callaway <tcallawa redhat com> - 4:5.8.8-33
- create %{_prefix}/lib/perl5/vendor_perl/%{perl_version}/auto and own it
  in base perl (resolves bugzilla 214580)
* Mon Nov 26 2007 Tom "spot" Callaway <tcallawa redhat com> - 4:5.8.8-32
- break dep loop, fix bugzilla 397881
* Mon Nov 12 2007 Tom "spot" Callaway <tcallawa redhat com> - 4:5.8.8-31
- fix for CVE-2007-5116
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #434574 - Incompatibility between Scalar::Util and Compress::Zlib modules
        https://bugzilla.redhat.com/show_bug.cgi?id=434574
  [ 2 ] Bug #433836 - perl RPM needs Provides/Obsoletes for perl-File-Temp
        https://bugzilla.redhat.com/show_bug.cgi?id=433836
--------------------------------------------------------------------------------

This update can be installed with the "yum" update program.  Use 
su -c 'yum update perl' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key.  More details on the
GPG keys used by the Fedora Project can be found at
http://fedoraproject.org/keys
--------------------------------------------------------------------------------


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]